Page MenuHomePhabricator

VE's context menus are badly broken in beta
Closed, ResolvedPublic1 Estimated Story Points

Description

Event Timeline

Deskana created this task.Oct 16 2017, 6:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2017, 6:39 PM
Deskana triaged this task as Unbreak Now! priority.Oct 16 2017, 6:39 PM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptOct 16 2017, 6:39 PM
matmarex claimed this task.Oct 16 2017, 7:01 PM

Change 384583 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] Fix CSS for context menus after changes in OOjs UI

https://gerrit.wikimedia.org/r/384583

Change 384583 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Fix CSS for context menus after changes in OOjs UI

https://gerrit.wikimedia.org/r/384583

Change 384594 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (b20086541)

https://gerrit.wikimedia.org/r/384594

Apex still broken:

That actually looks like a distinct issue, and a bug in OOjs UI itself rather than an interaction with our CSS. I'll file a separate task.

That actually looks like a distinct issue, and a bug in OOjs UI itself rather than an interaction with our CSS. I'll file a separate task.

Might be related to T178251 ?

Volker_E added a subscriber: Volker_E.EditedOct 16 2017, 8:31 PM

@Jdforrester-WMF Yes, it is! Patch was provided yesterday evening.

Might be, although the description there doesn't mention this specific issue. The patch there might apply to it too though. I filed T178336: In Apex theme, any iconless widget placed inside any iconed widget renders incorrectly.

Change 384607 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ui.LinearContextItem: Workaround for T178324

https://gerrit.wikimedia.org/r/384607

Change 384594 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (ea5179857)

https://gerrit.wikimedia.org/r/384594

Looks Resolved to me.

Deskana closed this task as Resolved.Oct 17 2017, 3:02 PM
Deskana set the point value for this task to 1.

Thanks!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 17 2017, 3:02 PM
Ryasmeen reopened this task as Open.Oct 17 2017, 7:36 PM
Ryasmeen added a subscriber: Ryasmeen.

This is still reproducible for Add Citation context menu

Change 384792 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Citoid@master] ve.ui.CiteFromIdInspector: Fix CSS for context menus after changes in OOjs UI

https://gerrit.wikimedia.org/r/384792

Change 384792 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] ve.ui.CiteFromIdInspector: Fix CSS for context menus after changes in OOjs UI

https://gerrit.wikimedia.org/r/384792

Change 384817 had a related patch set uploaded (by Jforrester; owner: Bartosz Dziewoński):
[mediawiki/extensions/Citoid@wmf/1.31.0-wmf.4] ve.ui.CiteFromIdInspector: Fix CSS for context menus after changes in OOjs UI

https://gerrit.wikimedia.org/r/384817

Deskana closed this task as Resolved.Oct 17 2017, 9:35 PM

Fixed in master now.

Ryasmeen edited projects, added Verified; removed Patch-For-Review.Oct 17 2017, 9:43 PM

Change 384817 merged by jenkins-bot:
[mediawiki/extensions/Citoid@wmf/1.31.0-wmf.4] ve.ui.CiteFromIdInspector: Fix CSS for context menus after changes in OOjs UI

https://gerrit.wikimedia.org/r/384817

Mentioned in SAL (#wikimedia-operations) [2017-10-17T23:31:15Z] <thcipriani@tin> Synchronized php-1.31.0-wmf.4/extensions/Citoid/modules/ve.ui.CiteFromIdInspector.css: SWAT: [[gerrit:384817|ve.ui.CiteFromIdInspector: Fix CSS for context menus after changes in OOjs UI]] T178324 (duration: 00m 50s)